Name:           kbilliards
Version:        0.8.7b
Release:        11%{?dist}
Summary:        A Fun Billiards Simulator Game
Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.hostnotfound.it/kbilliards.php
Source:         http://www.hostnotfound.it/%{name}/%{name}-%{version}.tar.bz2
Patch0:         sqrtl.patch
Patch1:         %{name}-%{version}-compiler_warnings.patch
Patch2:         %{name}-destdir.patch
Patch3:         %{name}-0.8.7b-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs3-devel bzip2-devel desktop-file-utils gettext
Requires:       hicolor-icon-theme

%description
A billiards simulator game designed for KDE.


%prep
%setup -q
%patch0 -p1 -z .sqrtl
%patch1 -p0 -z .warn
%patch2 -p1 -z .destdir
%patch3 -p1 -z .gcc43
sed -i 's/\r//g' ChangeLog


%build
%configure --disable-rpath
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# fixup translation stuff
pushd po
for i in *.po; do
   POLANG=`echo $i|sed 's/\.po//'`
   mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$POLANG/LC_MESSAGES
   msgfmt $i -o $RPM_BUILD_ROOT%{_datadir}/locale/$POLANG/LC_MESSAGES/%{name}.mo
done
popd
%find_lang %{name}

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor fedora --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications --remove-key=DocPath \
  --add-category Simulation \
  $RPM_BUILD_ROOT%{_datadir}/applnk/Games/%{name}.desktop

rm -fr $RPM_BUILD_ROOT%{_datadir}/icons/locolor


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO src/NOATUN_AUTHORS
%{_bindir}/%{name}
%{_datadir}/apps/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7b-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7b-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.7b-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep  7 2008 Hans de Goede <hdegoede@redhat.com> 0.8.7b-8
- Fix patch fuzz build failure

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.7b-7
- Autorebuild for GCC 4.3

* Tue Jan  8 2008 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-6
- Fix building with gcc 4.3

* Sun Dec  2 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-5
- BuildRequire kdelibs3-devel instead of kdelibs-devel as that now is
  kde4 based, and we need kde 3

* Wed Aug 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-4
- Rebuild for buildId

* Sun Aug 12 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-3
- Update License tag for new Licensing Guidelines compliance
- Add BR bzip2-devel (this no longer gets dragged in by kdelibs-devel)

* Thu Feb 22 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-2
- Install .po files, add a missing doc file (bz 228295)

* Sat Feb 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 0.8.7b-1
- Initial Fedora Extras package
